Subject: Re: [PATCH add immr alias 2/4] powerpc: 5121: Add immr alias to MPC5121 ADS device tree.

From: Anton Vorontsov <[email-masked]>
Date: Wed, 6 Aug 2008 03:46:43 +0400

On Tue, Aug 05, 2008 at 04:19:44PM -0500, Scott Wood wrote:
> Grant Likely wrote:
>> But finding nodes that meet a criteria *is* what compatible is for and
>> there is precedence for it.  All u-boot platforms are finding the node
>> by path right now, and so all of them need to be changed.  Changing
>> them to find by compatible that is set per-board or per-SoC makes
>> complete sense to me.
>
> It is ridiculous to have to duplicate code (or create a table, or  
> whatever) just so it can search for mpc8536-foo, mpc8544-foo,  
> mpc8548-foo, etc -- and in the case of the SoC, it's *not* fully  
> compatible, so we *can't* pick one as the "default" -- but it's  
> compatible for the purposes of the code in question.
>
> I figured an alias would attract fewer flames than a compatible of  
> "fsl,immr" (though I'm fine with it -- it's specifying compatibility of  
> device tree binding, not of the hardware).
>
> And no, they're not all finding it by path now -- there's a lot of use  
> of device_type "soc", which is what we're trying to avoid by introducing  
> this alias.  The bootwrapper is also affected.

FWIW, recent u-boot also looks for "fsl,soc" compatible entry.

-- 
Anton Vorontsov
email: [email-masked]
irc://irc.freenode.net/bd2